Subject: Re: bug#31803: Problems in chroot.2, ln.1, test.1, [.1

From: "Eric S. Raymond" <[email-masked]>
Date: Wed, 13 Jun 2018 18:07:56 -0400

Paul Eggert <[email-masked]>:
> On 06/13/2018 01:24 PM, Eric S. Raymond wrote:
> > I see the problem, but I'm afraid my groff-fu is no strong enough to grok your
> > proposed solution.  Why will those sequences work? What are they doing?
> 
> They should work for groff and traditional troff, because \" begins a
> comment. I was hoping that they would also work for whatever preprocessor
> you're writing, because it can treat [\"[ etc. specially and your
> preprocessor can key off that.

Ahh, I see.  I was confused because I thought you were proposing using those
inline and I didn't see how that could work.

OK, this should fly.  Please mark up the manual sources with those (and put
a comment somewhere explaining why we're doing this, to deconfuse future
maintainers) and mail me a copy.  Then I'll teach doclifter to DTRT.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>

My work is funded by the Internet Civil Engineering Institute: https://icei.org
Please visit their site and donate: the civilization you save might be your own.